# Mackerel
declaration: package: ecoparasite.poisson, class: Mackerel

# Class Mackerel

java.lang.Object
ecoparasite.poisson.Poisson
ecoparasite.poisson.Mackerel

All Implemented Interfaces:
  `DataParsing`

public class Mackerel extends Poisson implements DataParsing
Hérite de Poisson. Ajoute les fonctions de Parsing liés aux données collectées sur le Mackerel.

## Field Summary

### Fields inherited from class Poisson

`fishParts`

## Constructor Summary

Constructors
Constructor
Description
`Mackerel(String species, Double length, Double infestation)`

## Method Summary

Modifier and Type
Method
Description
`HashSet<Poisson>`
`parse(RawData data)`

### Methods inherited from class Poisson

`getInfestation, getLength, getSpecie, getWeight, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Mackerel

public Mackerel(String species, Double length, Double infestation)

## Method Details

### parse

public HashSet<Poisson> parse(RawData data)

Specified by:
  `parse` in interface `DataParsing`